ENT.Type = "anim"
ENT.Base = "base_anim"
ENT.RenderGroup = RENDERGROUP_OPAQUE
ENT.Spawnable = false
ENT.AdminSpawnable = false
ENT.PrintName = "Refiner"
ENT.Author = "ClemensProduction aka Zerochain"
ENT.Information = "info"
ENT.Category = "Zeros RetroMiningSystem"
ENT.Model = "models/zerochain/props_mining/zrms_refiner.mdl"
ENT.AutomaticFrameAdvance = true
ENT.DisableDuplicator = false
ENT.RefinerType = "Iron"
ENT.RefinerTypeName = zrmine.language.Ore_Iron
ENT.WorkAmount = 5
ENT.RefineAmount = zrmine.config.RefiningAmount
ENT.RefiningTime = zrmine.config.Iron_RefiningTime
ENT.HoldAmount = zrmine.config.Refiner_Capacity

function ENT:SetupDataTables()
	self:NetworkVar("Bool", 2, "BuildMode")
	self:NetworkVar("Bool", 0, "HasChild")
	self:NetworkVar("Bool", 1, "HasBasket")
	self:NetworkVar("Float", 1, "YieldRate")
	self:NetworkVar("String", 0, "CurrentState")
	self:NetworkVar("Float", 4, "InMachine_Coal")
	self:NetworkVar("Float", 0, "InMachine_Iron")
	self:NetworkVar("Float", 1, "InMachine_Bronze")
	self:NetworkVar("Float", 2, "InMachine_Silver")
	self:NetworkVar("Float", 3, "InMachine_Gold")

	if (SERVER) then
		self:SetBuildMode(true)
		self:SetHasChild(false)
		self:SetHasBasket(false)
		self:SetCurrentState("WAITING_FOR_ORDER")
		self:SetYieldRate(1)
		self:SetInMachine_Coal(0)
		self:SetInMachine_Iron(0)
		self:SetInMachine_Bronze(0)
		self:SetInMachine_Silver(0)
		self:SetInMachine_Gold(0)
	end
end
